## pyswitchbot 0.48.2

=== debian/changelog ===
pyswitchbot (0.48.2-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sat, 12 Oct 2024 22:43:42 +0100

pyswitchbot (0.48.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1084974)

 -- Edward Betts <edward@4angle.com>  Sat, 12 Oct 2024 09:35:03 +0100

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pyswitchbot-$1\.tar\.gz/ \
  https://github.com/Danielhiversen/pySwitchbot/tags .*/v?(\d\S+)\.tar\.gz

## pyswitchbot 0.72.1

=== requirements.txt ===
aiohttp>=3.9.5
bleak>=0.17.0
bleak-retry-connector>=2.9.0
cryptography>=38.0.3

## pyswitchbot 0.51.0

=== debian/changelog ===
pyswitchbot (0.51.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 03 Nov 2024 16:53:32 +0100

=== debian/control ===
Source: pyswitchbot
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-bleak <!nocheck>,
 python3-bleak-retry-connector <!nocheck>,
 python3-cryptography <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/Danielhiversen/pySwitchbot
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyswitchbot
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyswitchbot.git

Package: python3-pyswitchbot
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library to control SwitchBot IoT devices over Bluetooth and Wi-Fi
 This library allows users to interact with various SwitchBot IoT devices,
 enabling remote control and monitoring. It supports communication over
 Bluetooth and Wi-Fi, providing the capability to manage devices across a range
 of functionalities including binary sensors, light controls, locks, switch
 operations, and more. Users can retrieve essential device data such as the
 last successful operation and switch modes. The library also provides options
 for configuring retries for command execution, enhancing reliability in
 communication. It caters to a variety of SwitchBot devices, such as locks,
 sensors, blinds, and more, capturing the signal needed to interact with these
 devices from a central system without additional hardware, such as a SwitchBot
 Hub.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyswitchbot
export PYBUILD_TEST_PYTEST=1
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pyswitchbot.egg-info/

## pyswitchbot 0.55.4

=== debian/changelog ===
pyswitchbot (0.55.4-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 25 Dec 2024 13:48:06 +0000

pyswitchbot (0.54.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream changed homepage URL.

 -- Edward Betts <edward@4angle.com>  Fri, 29 Nov 2024 22:18:51 +0000

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pyswitchbot-$1\.tar\.gz/ \
  https://github.com/sblibs/pySwitchbot/tags .*/v?(\d\S+)\.tar\.gz

## pyswitchbot 0.56.0

=== debian/changelog ===
pyswitchbot (0.56.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Mon, 03 Feb 2025 15:34:12 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-pytest-asyncio <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
-Homepage: https://github.com/Danielhiversen/pySwitchbot
+Homepage: https://github.com/sblibs/pySwitchbot
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyswitchbot
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyswitchbot.git

## pyswitchbot 0.57.0

=== debian/changelog ===
pyswitchbot (0.57.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sun, 09 Mar 2025 06:02:32 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/sblibs/pySwitchbot
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyswitchbot
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyswitchbot.git

## pyswitchbot 0.57.1

=== debian/changelog ===
pyswitchbot (0.57.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Include get_encryption_key.py as example.

 -- Edward Betts <edward@4angle.com>  Mon, 17 Mar 2025 07:17:42 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/sblibs/pySwitchbot
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyswitchbot
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyswitchbot.git

## pyswitchbot 0.59.0

=== debian/changelog ===
pyswitchbot (0.59.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.

 -- Edward Betts <edward@4angle.com>  Thu, 03 Apr 2025 09:27:41 +0100

## pyswitchbot 0.65.0

=== debian/changelog ===
pyswitchbot (0.65.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 04 Jun 2025 06:48:53 -0500

pyswitchbot (0.64.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 22 May 2025 22:26:13 +0100

pyswitchbot (0.62.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 16 May 2025 12:06:04 +0100

pyswitchbot (0.62.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 11 May 2025 10:00:38 +0300

pyswitchbot (0.60.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 03 May 2025 01:20:31 +0300

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
 Homepage: https://github.com/sblibs/pySwitchbot
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyswitchbot
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyswitchbot.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pyswitchbot
 Architecture: all

=== debian/watch ===
version=4
https://github.com/sblibs/pySwitchbot/tags .*/v?(\d\S+)\.tar\.gz

## pyswitchbot 0.71.0

=== debian/changelog ===
pyswitchbot (0.71.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Wed, 24 Sep 2025 13:08:25 +0000

## pyswitchbot 0.72.1

=== debian/changelog ===
pyswitchbot (0.72.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 30 Oct 2025 09:20:46 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  python3-cryptography <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/sblibs/pySwitchbot
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyswitchbot

=== debian/watch ===
Version: 5

Template: Github
Owner: sblibs
Project: pySwitchbot

## pyswitchbot 0.74.0

=== debian/changelog ===
pyswitchbot (0.74.0-1) unstable; urgency=medium

  * New upstream release.
  * Patch to ensure devices create an event loop when none is set,
    for Python 3.14.

 -- Edward Betts <edward@4angle.com>  Sun, 21 Dec 2025 09:55:36 +0000

## pyswitchbot 0.76.0

=== debian/changelog ===
pyswitchbot (0.76.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 08 Jan 2026 14:04:05 +0000

pyswitchbot (0.75.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop event loop for Python 3.14 patch, no longer needed.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Sat, 03 Jan 2026 12:02:16 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -17,7 +16,7 @@
  python3-cryptography <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/sblibs/pySwitchbot
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyswitchbot
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyswitchbot.git

## pyswitchbot 1.0.0

=== debian/changelog ===
pyswitchbot (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Wed, 28 Jan 2026 17:48:54 +0000

## pyswitchbot 1.1.0

=== debian/changelog ===
pyswitchbot (1.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 02 Mar 2026 11:04:06 +0000
